---

repmgr_password: my top secret repmgr default password
repmgr_primary_node: "{{ hostvars['pg1']['ansible_default_ipv4']['address'] }}"

hap_config_listen:
  - name: pgsql-primary
    content: |
      bind localhost:54321
      default-server inter 2s fall 3 rise 2 on-marked-down shutdown-sessions
      option tcp-check
      tcp-check expect string primary
      maxconn 500
      server pg1 192.168.122.1:5432 maxconn 500 check port 8543
      server pg2 192.168.122.2:5432 maxconn 500 check port 8543 backup
  - name: pgsql-standby
    content: |
      bind localhost:54321
      default-server inter 2s fall 3 rise 2 on-marked-down shutdown-sessions
      option tcp-check
      tcp-check expect rstring (primary|standby)
      maxconn 500
      server pg1 192.168.122.1:5432 maxconn 500 check port 8543
      server pg2 192.168.122.2:5432 maxconn 500 check port 8543
  - name: wowza
    content: |
      bind :1935
      stick-table type ip size 1
      stick on dst
      default-server inter 2s fall 3 rise 2 on-marked-down shutdown-sessions
      option httpchk
      maxconn 500
      server ms1 10.0.0.1:19350 maxconn 500 check port 19350
      server ms2 10.0.0.2:19350 maxconn 500 check port 19350 backup

wowza_rtmp_port: 19350

...
